Skip to main content
`Ctrl`+`K`

# STShellApplyHermitianTransposeFn

A prototype of a function for the user-defined `STApplyHermitianTranspose()` operation in an `STSHELL`.

## Synopsis

    PETSC_EXTERN_TYPEDEF typedef PetscErrorCode STShellApplyHermitianTransposeFn(ST st,Vec xin,Vec xout);

## Calling Sequence

- st - the spectral transformation context

- xin - input vector

- xout - output vector

## See Also

ST: Spectral Transformation, `STShellSetApplyHermitianTranspose()`, `STApplyHermitianTranspose()`

## Level

advanced

## Location

include/slepcst.h

Index of all ST routines Table of Contents for all manual pages Index of all manual pages